H!

All the code in dnd.rb in the testgtk example-suit that ships with the
Gtk-coupling for Ruby[1] is commented out. If one remove the commentmarks
and also removes the hashsign that comment out the inclusion of the
dnd example in the meny of testgtk.rb, one run into an parse error when
dnd.rb is 'require':d.

  ./testgtk.rb:62:in `require': ./dnd.rb:38: parse error (SyntaxError)
  dnd_drop_destroy_popup (GtkWidget *widget, GtkWindow **window)
                                                    ^
  ./dnd.rb:38: parse error
          from ./kaka.rb:62

Does anybody know the reason for the disabling of the dnd-example? One
kind of gets the impression that is once have worked.

Does anybody know any pointer to a working dnd-example in Ruby? In the
meantime, I will see if I create something working just by analysing
the non-working example.

Regards /Selander

[1] The Debain Linux package libgtk-ruby, that is.
-- 
Anders Selander   Centre for Parallel Computers   selander / pdc.kth.se
Programmer        Royal Institute of Technology   +46 (0)8  790 72 11
                  SE-100 44  STOCKHOLM, SWEDEN    +46 (0)70 266 29 67